Delete
curl --request DELETE \
--url https://api.hubapi.com/crm/object-tags/2026-09-beta/{objectTypeId}/{tagId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/crm/object-tags/2026-09-beta/{objectTypeId}/{tagId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/crm/object-tags/2026-09-beta/{objectTypeId}/{tagId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Object Tags
Delete
Delete a specific CRM object tag identified by its object type ID and tag ID. This operation will remove the tag from the system, and it will no longer be available for use or reference.
DELETE
/
crm
/
object-tags
/
2026-09-beta
/
{objectTypeId}
/
{tagId}
Delete
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique identifier of the object type to which the tag belongs.
The unique identifier of the tag to be deleted.
Response
Last modified on August 3, 2026
Was this page helpful?
⌘I